<?


class fmHelp extends Form_children {

	function __construct() {
		parent::__construct('fmHelp');
	}

	function clear() {
		$this->ui('text')->text = ' ';
		$this->ui('img')->visible = false;
	}

	function open_text($text) {
		$this->clear();
		$this->set_text($text);
		$this->open();
	}

	function set_text($text) {

		$this->clear();

		$pxRatio = Ui_adapt_size::$pxRatio;

		$this->ui_form->clientWidth = 715;

		$msg = $this->ui('text');
		$msg->w = $this->ui_form->clientWidth - 20*$pxRatio;
		$msg->text = $text;

		// авторазмер у формы нельзя использовать, потому что тогда нельзя сделать отступ у текста
		$form = get_ui(Form_root::$name);

		$h = $msg->h + 50*$pxRatio;
		if($h > $form->clientHeight) 
			$h = $form->clientHeight - 20*$pxRatio;

		$this->ui_form->clientHeight = $h;
		$this->ui_form->autoScroll=true;
	}

	// показать текст из языкового файла
	function open_from_lang_xml($entry_name) {
		GLOBAL $Lang;

		$this->clear();

		$text = $Lang->get($entry_name);
		$this->set_text($text);
		$this->open();
	}

	function open_img($path) {
		GLOBAL $SCREEN;

		$this->clear();

		$this->ui('img')->loadFromFile($path);
		$this->ui('img')->visible = true;

		$form = с($this->fmName);
		$form->autoScroll = true;

		list($w, $h) = getimagesize($path);

		$w += 40*Ui_adapt_size::$pxRatio;  // на полосу вертикальной прокрутки и еще какие то расходы. Меньше нельзя. Будут полосы прокрутки лишние.

		if($w > $SCREEN->width)
			$w = $SCREEN->width - 5*Ui_adapt_size::$pxRatio;

		if($h > $SCREEN->height)
			$h = $SCREEN->height - 40*Ui_adapt_size::$pxRatio; // 40 это панель пуск

		$form->w = $w;
		$form->h = $h;

		$this->open();
	}
}


?>